Bug 1250870 - [abrt] java-1.8.0-openjdk-headless: os::abort(bool)(): java killed by SIGABRT
[abrt] java-1.8.0-openjdk-headless: os::abort(bool)(): java killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:b3fda792d5c00210b5911d9aee1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-06 04:04 EDT by urbnplnr
Modified: 2016-07-19 13:22 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:22:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (119.69 KB, text/plain)
2015-08-06 04:04 EDT, urbnplnr
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-06 04:04 EDT, urbnplnr
no flags Details
File: core_backtrace (176.84 KB, text/plain)
2015-08-06 04:04 EDT, urbnplnr
no flags Details
File: dso_list (28.04 KB, text/plain)
2015-08-06 04:04 EDT, urbnplnr
no flags Details
File: environ (1.62 KB, text/plain)
2015-08-06 04:04 EDT, urbnplnr
no flags Details
File: hs_err_pid2735.log (158.95 KB, text/plain)
2015-08-06 04:04 EDT, urbnplnr
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-06 04:04 EDT, urbnplnr
no flags Details
File: maps (115.43 KB, text/plain)
2015-08-06 04:04 EDT, urbnplnr
no flags Details
File: mountinfo (4.15 KB, text/plain)
2015-08-06 04:04 EDT, urbnplnr
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-06 04:04 EDT, urbnplnr
no flags Details
File: open_fds (21.21 KB, text/plain)
2015-08-06 04:04 EDT, urbnplnr
no flags Details
File: proc_pid_status (1004 bytes, text/plain)
2015-08-06 04:04 EDT, urbnplnr
no flags Details
File: var_log_messages (351 bytes, text/plain)
2015-08-06 04:04 EDT, urbnplnr
no flags Details

  None (edit)
Description urbnplnr 2015-08-06 04:04:32 EDT
Description of problem:
Everytime I start Eclipse with StatET, Eclipse crashes.

Version-Release number of selected component:
java-1.8.0-openjdk-headless-1.8.0.51-4.b16.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/java -Xms128m -Xmx1024m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Declipse.p2.skipMovedInstallDetection=true -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20150513-1800.jar -os linux -ws gtk -arch x86_64 -showsplash /usr/lib64/eclipse//plugins/org.eclipse.platform_4.4.2.v20150513-1759/splash.bmp -launcher /usr/lib64/eclipse/eclipse -name Eclipse --launcher.library /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.v20150513-1800/eclipse_1608.so -startup /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20150513-1800.jar --launcher.appendVmargs -exitdata 30002 -protect master -vm /usr/bin/java -vmargs -Xms128m -Xmx1024m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Declipse.p2.skipMovedInstallDetection=true -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20150513-1800.jar
crash_function: os::abort(bool)
executable:     /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.51-4.b16.fc22.x86_64/jre/bin/java
global_pid:     2735
kernel:         4.1.3-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 os::abort(bool) at /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.51-4.b16.fc22.x86_64/jre/lib/amd64/server/libjvm.so
 #3 VMError::report_and_die() at /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.51-4.b16.fc22.x86_64/jre/lib/amd64/server/libjvm.so
 #4 JVM_handle_linux_signal at /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.51-4.b16.fc22.x86_64/jre/lib/amd64/server/libjvm.so
 #5 signalHandler(int, siginfo_t*, void*) at /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.51-4.b16.fc22.x86_64/jre/lib/amd64/server/libjvm.so
 #7 webkit_web_view_draw(_GtkWidget*, _cairo*) at /lib64/libwebkitgtk-3.0.so.0
 #8 _gtk_marshal_BOOLEAN__BOXEDv at /lib64/libgtk-3.so.0
 #9 gtk_widget_draw_marshallerv at /lib64/libgtk-3.so.0
 #10 _g_closure_invoke_va at /lib64/libgobject-2.0.so.0
 #13 _gtk_widget_draw_internal.part.104 at /lib64/libgtk-3.so.0
 #14 _gtk_widget_draw_windows at /lib64/libgtk-3.so.0

Potential duplicate: bug 1199897
Comment 1 urbnplnr 2015-08-06 04:04:37 EDT
Created attachment 1059762 [details]
File: backtrace
Comment 2 urbnplnr 2015-08-06 04:04:38 EDT
Created attachment 1059763 [details]
File: cgroup
Comment 3 urbnplnr 2015-08-06 04:04:40 EDT
Created attachment 1059764 [details]
File: core_backtrace
Comment 4 urbnplnr 2015-08-06 04:04:42 EDT
Created attachment 1059765 [details]
File: dso_list
Comment 5 urbnplnr 2015-08-06 04:04:43 EDT
Created attachment 1059766 [details]
File: environ
Comment 6 urbnplnr 2015-08-06 04:04:45 EDT
Created attachment 1059767 [details]
File: hs_err_pid2735.log
Comment 7 urbnplnr 2015-08-06 04:04:47 EDT
Created attachment 1059768 [details]
File: limits
Comment 8 urbnplnr 2015-08-06 04:04:49 EDT
Created attachment 1059769 [details]
File: maps
Comment 9 urbnplnr 2015-08-06 04:04:50 EDT
Created attachment 1059770 [details]
File: mountinfo
Comment 10 urbnplnr 2015-08-06 04:04:51 EDT
Created attachment 1059771 [details]
File: namespaces
Comment 11 urbnplnr 2015-08-06 04:04:53 EDT
Created attachment 1059772 [details]
File: open_fds
Comment 12 urbnplnr 2015-08-06 04:04:54 EDT
Created attachment 1059773 [details]
File: proc_pid_status
Comment 13 urbnplnr 2015-08-06 04:04:55 EDT
Created attachment 1059774 [details]
File: var_log_messages
Comment 14 Deepak Bhole 2015-08-06 20:54:30 EDT
Looks like the issue started in SWT native code. Re-assigning.
Comment 15 Waldemar Pilecki 2016-02-23 04:56:35 EST
the same reported in Fedora 23 see: https://bugzilla.redhat.com/show_bug.cgi?id=1310798
Comment 16 Fedora End Of Life 2016-07-19 13:22:54 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.